[Yay] Assistant pour AUR

Autres projets et contributions
hopimet
Elfe
Messages : 824
Inscription : mer. 14 mars 2012, 22:48

Re: [Yay] Assistant pour AUR

Message par hopimet » lun. 04 juin 2018, 13:43

karhu a écrit :
lun. 04 juin 2018, 13:17
C'est terrible, tous les paquets, que j'avais installés, ayant un rapport avec pacman plantent tous à cause de cette :danger: de bibliothèque libalpm.so.10.
Pas chez moi. Et il n'y a aucune raison. Donc je suspecte un souci qui t'es spécifique. Tu peux faire la liste des paquets qui requiert libpalm.so.10 ?

Avatar de l’utilisateur
karhu
Maître du Kyudo
Messages : 1088
Inscription : lun. 27 sept. 2010, 14:32
Localisation : Ile de France
Contact :

Re: [Yay] Assistant pour AUR

Message par karhu » lun. 04 juin 2018, 14:50

Octopi et ses différentes parties.
J'ai tout désinstallé et du coup je n'arrive plus à les ré-installer, même en bricolant comme vaguement expliqué précédemment. Il ne me reste plus que les anciens paquets de mon dépôt. Je vais les prendre.
Résultat pour octopi-0.8.5-3 :

Code : Tout sélectionner

octopi: error while loading shared libraries: libalpm.so.10: cannot open shared object file: No such file or directory
Et la recompilation m'indique :

Code : Tout sélectionner

==> Extraction des sources…
  -> Extraction de octopi-0.8.5-3.tar.gz avec bsdtar
......................
src/transactiondialog.cpp:78:63: error: utilisation invalide du type incomplet « class QRegularExpression »
   if (detailedtext.contains(QRegularExpression("pacman-[0-9]+")))
                                                               ^
.........................................
==> ERREUR : Une erreur s’est produite dans build().
    Abandon…
==> ERREUR : Makepkg n'a pas pu construire .
==> Relancer la compilation de octopi ? [o/N]
Là il ne s'agit que d'une petite parenthèse en trop (d'après le message), je vais donc attendre la correction avant de retenter.
Sinon à propos de la sauvegarde des paquets, Yaourt le fait toujours à condition d'utiliser sa variable $EXPORTDIR renseignée dans son fichier /etc/yaourtrc. Je crois bien qu'il se fout complètement de $PKGDEST du fichier /etc/makepkg.conf.
S'il n'y a pas de solution, c'est qu'il n'y a pas de problème.

hopimet
Elfe
Messages : 824
Inscription : mer. 14 mars 2012, 22:48

Re: [Yay] Assistant pour AUR

Message par hopimet » lun. 04 juin 2018, 17:51

Ah mais tu dis tout en 2 fois. octopi n'est pas un paquet officiel mais un paquet d'AUR (donc aucun rapport avec pacman si ce n'est que la version de la bibliothèque qui te pose souci est passée de 10 à 11).
Normalement octopi utilise pacaur ou yaourt pour les paquets d'AUR. Donc il faut déjà que tu recompiles package-query depuis les sources en suivant les instructions de ce post :
viewtopic.php?f=13&t=20137&start=20#p166444

Avatar de l’utilisateur
onyx67
Elfe
Messages : 730
Inscription : dim. 06 nov. 2011, 18:12
Localisation : Alsace

Re: [Yay] Assistant pour AUR

Message par onyx67 » lun. 04 juin 2018, 17:56

Du coup j'aimerai l’essayé...en conservant yaourt au cas où. Cela pose t-il problème d'avoir les deux d'installé?
"La complication est un effet de la simplicité mal acquise"

Intel i5-2320; Nvidia GeForce GT 520; ATA Hitachi 2To; Windows7/ArchLinux-Kde5

Avatar de l’utilisateur
papajoke
Chu Ko Nu
Messages : 487
Inscription : sam. 30 août 2014, 19:54
Contact :

Re: [Yay] Assistant pour AUR

Message par papajoke » lun. 04 juin 2018, 18:12

@onyx67
Tu peux en installer 4..5 il n'y a aucun conflit
Arch stable - Kde 5 / zsh - btrfs/mbr - Intel Core i3 - 6Go RAM - GeForce 405 video-nouveau

Avatar de l’utilisateur
Xorg
Maître du Kyudo
Messages : 1921
Inscription : dim. 22 janv. 2012, 19:25
Localisation : Entre le clavier et la chaise.
Contact :

Re: [Yay] Assistant pour AUR

Message par Xorg » lun. 04 juin 2018, 18:24

karhu a écrit :
lun. 04 juin 2018, 13:17
Ce que je n'ai pas (encore) trouver c'est :
comment lire, ou récupérer, les fichiers xx.db.tar.gz et xx.files.tar.gz d'AUR afin de vérifier si il y a eu des nouvelles versions.
Tu parles de Yay ? Il faut lancer la commande yay -Y --gendb la première fois : ça crée la base de données.
karhu a écrit :
lun. 04 juin 2018, 13:17
YaY est effectivement plus rapide que yaourt, dommage qu'il n'y ait pas un temps d'arrêt entre la fin de la compilation et l'installation pour permettre une sauvegarde manuelle du paquet.
Je cherche encore un peu mais sans trop d'espoir de trouver une solution propre et rationnelle. :)
Les sources des paquets sont dans le répertoire ~/.cache/yay/<paquet>. Si la variable PKGDEST (de makepkg) n'est pas définie, les paquets compilés restent dans ce répertoire.
Arch Linux x86_64 - Linux-ck-sandybridge - Gnome 3 (Wayland)
Intel® Core™ i5 2500K - Sapphire Radeon HD 6870 - 8Go de DDR3 - SSD 120Go + 2 HDD 500Go
Image AUR___Image Wiki___Image GitHub
Tux est un manchot, et non un pingouin. :marche:

Avatar de l’utilisateur
karhu
Maître du Kyudo
Messages : 1088
Inscription : lun. 27 sept. 2010, 14:32
Localisation : Ile de France
Contact :

Re: [Yay] Assistant pour AUR

Message par karhu » lun. 04 juin 2018, 22:37

hopimet a écrit : Donc il faut déjà que tu recompiles package-query depuis les sources
Ça a été fait en même temps que yaourt.
Je suis désolé d'avoir mélangé deux problèmes différents mais quand même un peu proches. :wink:
Il y a effectivement deux problème distincts :
la version de libaplm pour la version courante de octopi
sa recompilation.
@Xorg j'attends donc une prochaine mise à jour d'un paquet d'AUR pour re-tester YaY, et regarder dans les répertoires indiqués.
S'il n'y a pas de solution, c'est qu'il n'y a pas de problème.

hopimet
Elfe
Messages : 824
Inscription : mer. 14 mars 2012, 22:48

Re: [Yay] Assistant pour AUR

Message par hopimet » lun. 04 juin 2018, 23:41

J'utilise Arch mais également Manjaro. Sur Manjaro, je me sers d'octopi pour voir les màj (mais je les fais en console). Cela dit je viens de tester et octopi fonctionne bien sous Manjaro. A noter toutefois qu'il s'agit de la version 0.8.12-2 alors que sous Arch, la version qui se trouve dans AUR et déjà ancienne (0.8.5-3) et nécessite peut être encore libaplm en version 10.

Avatar de l’utilisateur
papajoke
Chu Ko Nu
Messages : 487
Inscription : sam. 30 août 2014, 19:54
Contact :

Re: [Yay] Assistant pour AUR

Message par papajoke » lun. 04 juin 2018, 23:56

karhu a écrit :
lun. 04 juin 2018, 22:37
j'attends donc une prochaine mise à jour d'un paquet d'AUR pour re-tester YaY, et regarder dans les répertoires indiqués.
aucune raison d'attendre ! il te suffit juste de réinstaller un de tes paquet aur c'est exactement ce que fait une mise à jour
Arch stable - Kde 5 / zsh - btrfs/mbr - Intel Core i3 - 6Go RAM - GeForce 405 video-nouveau

Avatar de l’utilisateur
karhu
Maître du Kyudo
Messages : 1088
Inscription : lun. 27 sept. 2010, 14:32
Localisation : Ile de France
Contact :

Re: [Yay] Assistant pour AUR

Message par karhu » mar. 05 juin 2018, 00:01

@hopimet, je me sers surtout de octopi-notifier, pour savoir rapidement le nombre de mises à jour en attente.
Je vais donc attendre que les versions soient à niveau pour les ré-installer.
Le plus important pour moi c'est la récupération des paquets compilés et je pense pouvoir m'en sortir pour l'instant, salement avec Yaourt à voir avec YaY.
S'il n'y a pas de solution, c'est qu'il n'y a pas de problème.

Avatar de l’utilisateur
onyx67
Elfe
Messages : 730
Inscription : dim. 06 nov. 2011, 18:12
Localisation : Alsace

Re: [Yay] Assistant pour AUR

Message par onyx67 » mar. 05 juin 2018, 11:16

Hello,

Je viens d'installer Yay et ses dépendances manquantes sur mon système sudo et go.
A la fin de la màj/installation j'ai le message: paquet non requis par un paquet installé: go
Et en effet:

Code : Tout sélectionner

yaourt -Qdt
extra/go 2:1.10.2-2
==> Voulez-vous désinstaller ces paquets (avec options -Rcs) ?  [o/N]
==> -----------------------------------------------------------------
==> 
Donc en gros ça veux dire qu'avant de désinstaller quoi que ce soit je devrai vérifier si les paquets ne sont pas des dépendances d'un paquet Aur installé?

Merci pour vos explications. Bonne journée à tous.
"La complication est un effet de la simplicité mal acquise"

Intel i5-2320; Nvidia GeForce GT 520; ATA Hitachi 2To; Windows7/ArchLinux-Kde5

Avatar de l’utilisateur
papajoke
Chu Ko Nu
Messages : 487
Inscription : sam. 30 août 2014, 19:54
Contact :

Re: [Yay] Assistant pour AUR

Message par papajoke » mar. 05 juin 2018, 12:25

c'est une dépendance "make"
go est le compilateur pour yay, donc après création du paquet tu n'en as pas besoin jusqu’à la prochaine création d'un paquet contenant un programme écrit en langage go.
Vu que yay est à jour "souvent", tu peux le garder pour ne pas le re-télécharger constamment ...
Arch stable - Kde 5 / zsh - btrfs/mbr - Intel Core i3 - 6Go RAM - GeForce 405 video-nouveau

Avatar de l’utilisateur
onyx67
Elfe
Messages : 730
Inscription : dim. 06 nov. 2011, 18:12
Localisation : Alsace

Re: [Yay] Assistant pour AUR

Message par onyx67 » mar. 05 juin 2018, 22:19

papajoke a écrit :
mar. 05 juin 2018, 12:25
c'est une dépendance "make"
go est le compilateur pour yay, donc après création du paquet tu n'en as pas besoin jusqu’à la prochaine création d'un paquet contenant un programme écrit en langage go.
Vu que yay est à jour "souvent", tu peux le garder pour ne pas le re-télécharger constamment ...
Pour ne plus être "embêté" je l'ai marqué comme installé explicitement (pacman -D --asexplicit go)
"La complication est un effet de la simplicité mal acquise"

Intel i5-2320; Nvidia GeForce GT 520; ATA Hitachi 2To; Windows7/ArchLinux-Kde5

Avatar de l’utilisateur
Fif91
archer de cavalerie
Messages : 189
Inscription : lun. 17 janv. 2011, 13:23

Re: [Yay] Assistant pour AUR

Message par Fif91 » sam. 09 juin 2018, 23:05

Bonjour,
La config yaourt disposait d'un paramètre EXPORT=2, permettant de sauvegarder automatiquement les paquets dans le cache de pacman.
Existe t'il un équivalent ?
Mageia 4 x64 | ArchLinux x64 | KDE
MSI P45 Neo-F - Intel E8500 @3.16 GHz - 7 Go RAM - ATI HD Radeon 3850

Avatar de l’utilisateur
Xorg
Maître du Kyudo
Messages : 1921
Inscription : dim. 22 janv. 2012, 19:25
Localisation : Entre le clavier et la chaise.
Contact :

Re: [Yay] Assistant pour AUR

Message par Xorg » sam. 09 juin 2018, 23:26

Fif91 a écrit :
sam. 09 juin 2018, 23:05
Bonjour,
La config yaourt disposait d'un paramètre EXPORT=2, permettant de sauvegarder automatiquement les paquets dans le cache de pacman.
Existe t'il un équivalent ?
Non, malheureusement, pas encore.
J'utilise actuellement la version Git de Yay et la variable PKGDEST est de nouveau respectée, mais définir PKGDEST à /var/cache/pacman/pkg n'est pas faisable, car il faudrait que Yay fasse l'export en tant que root, ce qui n'est pas le cas.
Ou alors, il faudrait modifier les permissions du répertoire, mais je ne le recommande pas.

EDIT : Demande de fonctionnalité ouverte : #477.
Arch Linux x86_64 - Linux-ck-sandybridge - Gnome 3 (Wayland)
Intel® Core™ i5 2500K - Sapphire Radeon HD 6870 - 8Go de DDR3 - SSD 120Go + 2 HDD 500Go
Image AUR___Image Wiki___Image GitHub
Tux est un manchot, et non un pingouin. :marche:

Avatar de l’utilisateur
karhu
Maître du Kyudo
Messages : 1088
Inscription : lun. 27 sept. 2010, 14:32
Localisation : Ile de France
Contact :

Re: [Yay] Assistant pour AUR

Message par karhu » sam. 16 juin 2018, 10:41

@Xorg
Je privilégie les versions non -git de tous mes paquets dans la mesure du possible, surtout ceux que j'utilise "souvent". Je veux être sûr qu'ils font bien ce qu'on leur demande, sans surprise.
Pour yay je te confirme que la sauvegarde des paquets compilés n'est pas faite, malgré la valorisation de la variable $PKGDEST.
Aujourd'hui j'ai du ré-installer avec yaourt tous les paquets d'AUR précédemment installés avec yay pour pouvoir récupérer les paquets construits afin de les intégrer automatiquement dans mon dépôt local.
Dans le répertoire ~/.cache/yay il ne reste aucune trace des paquets construits. Contrairement à yaourt qui demande avant d'installer, ce qui pouvait laisser le temps de sauver le travail, yay ne demande pas, il installe le paquet puis le détruit(?).
J'attendrai donc la nouvelle version "non -git" avant de re-tester et de modifier le wiki.
S'il n'y a pas de solution, c'est qu'il n'y a pas de problème.

Avatar de l’utilisateur
papajoke
Chu Ko Nu
Messages : 487
Inscription : sam. 30 août 2014, 19:54
Contact :

Re: [Yay] Assistant pour AUR

Message par papajoke » sam. 16 juin 2018, 10:53

Pour le cache, tu as bien passé la variable cleanAfter à false dans la config ?
Arch stable - Kde 5 / zsh - btrfs/mbr - Intel Core i3 - 6Go RAM - GeForce 405 video-nouveau

Avatar de l’utilisateur
karhu
Maître du Kyudo
Messages : 1088
Inscription : lun. 27 sept. 2010, 14:32
Localisation : Ile de France
Contact :

Re: [Yay] Assistant pour AUR

Message par karhu » sam. 16 juin 2018, 10:56

C'est cette valeur qui se trouve dans le fichier : ~/.config/yay/config.json.
S'il n'y a pas de solution, c'est qu'il n'y a pas de problème.

Avatar de l’utilisateur
fran
yeomen
Messages : 219
Inscription : lun. 27 déc. 2010, 18:47
Localisation : breizh

Re: [Yay] Assistant pour AUR

Message par fran » lun. 18 juin 2018, 09:41

bonjour
Je n'utilise pas sudo , est ce possible d'utiliser YAY sans.
Et je ne sais pas quoi mettre dans le fichier de configuration pour ne pas avoir la demande du mot de passe sudo.

merci
HP elitebook 2570P : arch xfce
intelNuc :arch xfce media center tv
http://explainshell.com/

Avatar de l’utilisateur
karhu
Maître du Kyudo
Messages : 1088
Inscription : lun. 27 sept. 2010, 14:32
Localisation : Ile de France
Contact :

Re: [Yay] Assistant pour AUR

Message par karhu » lun. 18 juin 2018, 11:10

Yay utilise pacman qui ne peut être utilisé que par root.
Pour pouvoir utiliser Yay par un simple utilisateur il faut lui accorder le droit d'utiliser pacman.
C'est dans le fichier /etc/sudoers que tu lui donnes cette autorisation en y insérant ;

Code : Tout sélectionner

## permettre l'utilisation de pacman par : <utilisateur>
<utilisateur>  ALL=(ALL) NOPASSWD: /usr/bin/pacman
Pour le modifier tu utilises visudo en root.
S'il n'y a pas de solution, c'est qu'il n'y a pas de problème.

Répondre